package cn.com.tenlion.systembase.pojo.dtos.schoolkey;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SchoolKeyDTO
 * @Description: 学校周边重点人员
 * @Author: CodeFactory
 * @Date: 2021-10-13 10:05:21
 * @Version: 3.0
 **/
@ApiModel
public class SchoolKeyDTO {

    @ApiModelProperty(name = "schoolKeyId", value = "主键UUID")
    private String schoolKeyId;
    @ApiModelProperty(name = "schoolId", value = "学校ID")
    private String schoolId;
    @ApiModelProperty(name = "baseId", value = "基础人员信息表ID")
    private String baseId;
    @ApiModelProperty(name = "degreeOfHarm", value = "危害程度字典表ID")
    private String degreeOfHarm;
    @ApiModelProperty(name = "degreeOfHarmName", value = "危害程度名称")
    private String degreeOfHarmName;
    @ApiModelProperty(name = "degreeOfHarmCode", value = "危害程度编码")
    private String degreeOfHarmCode;
    @ApiModelProperty(name = "isFollow", value = "是否关注")
    private Integer isFollow;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;
    @ApiModelProperty(name = "longitude", value = "经度")
    private String longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private String latitude;

    public String getSchoolKeyId() {
        return schoolKeyId == null ? "" : schoolKeyId.trim();
    }

    public void setSchoolKeyId(String schoolKeyId) {
        this.schoolKeyId = schoolKeyId;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getBaseId() {
        return baseId == null ? "" : baseId.trim();
    }

    public void setBaseId(String baseId) {
        this.baseId = baseId;
    }

    public String getDegreeOfHarm() {
        return degreeOfHarm == null ? "" : degreeOfHarm.trim();
    }

    public void setDegreeOfHarm(String degreeOfHarm) {
        this.degreeOfHarm = degreeOfHarm;
    }

    public String getDegreeOfHarmName() {
        return degreeOfHarmName == null ? "" : degreeOfHarmName.trim();
    }

    public void setDegreeOfHarmName(String degreeOfHarmName) {
        this.degreeOfHarmName = degreeOfHarmName;
    }

    public String getDegreeOfHarmCode() {
        return degreeOfHarmCode == null ? "" : degreeOfHarmCode.trim();
    }

    public void setDegreeOfHarmCode(String degreeOfHarmCode) {
        this.degreeOfHarmCode = degreeOfHarmCode;
    }

    public Integer getIsFollow() {
        return isFollow == null ? 0 : isFollow;
    }

    public void setIsFollow(Integer isFollow) {
        this.isFollow = isFollow;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
}
